#version 330 core

layout(location=0) in vec3 position;
layout(location=1) in vec4 vertexColor;
layout(location=2) in float scalar;

uniform mat4 fullTransformMatrix;

out vec4 transPos;
out vec3 inPos;
out vec4 gColor;
out float gScalar;

void main(void)
{
    transPos = fullTransformMatrix * vec4(position,1);
    inPos = position;
    gColor = vertexColor;
    gScalar = scalar;
}
